package de.intevation.flys.client.client;

import com.google.gwt.i18n.client.ConstantsWithLookup;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface FLYSConstants extends ConstantsWithLookup {

    String title();

    String fullname();

    String user();

    String guest();

    String projects();

    String open_project();

    String delete_project();

    String manage_projects();

    String logout();

    String switch_language();

    String info();

    String warning();

    String warning_language();

    String no_projects();

    String load_projects();

    String date_format();

    String datetime_format();

    String new_project();

    String new_calculation();

    String module_selection();

    String river_selection();

    String winfo();

    String minfo();

    String map();

    String chart();

    String fix();

    String next();

    String river_km();

    String location_distance_state();

    String location();

    String distance();

    String unitFrom();

    String unitTo();

    String unitWidth();

    String unitLocation();

    String wrongFormat();

    String description();

    String from();

    String to();

    String riverside();

    String calcTableTitle();

    String wqTitle();

    String wqadaptedTitle();

    String unitWNN();

    String wqW();

    String wqQ();

    String wqSingle();

    String wqRange();

    String unitWSingle();

    String unitWFrom();

    String unitWTo();

    String unitWStep();

    String unitQSingle();

    String unitQFrom();

    String unitQTo();

    String unitQStep();

    String footerHome();

    String footerContact();

    String footerImpressum();

    String buttonNext();

    String imageBack();

    // OUTPUT TYPES

    String discharge_curve();

    String computed_discharge_curve();

    String longitudinal_section();

    String duration_curve();

    String waterlevel_export();

    String name();

    String type();

    String wq_value();

    String discharge_longitudinal_section();

    // ERRORS

    String error_create_artifact();

    String error_describe_artifact();

    String error_feed_data();

    String error_advance_artifact();

    String error_add_artifact();

    String error_create_collection();

    String error_describe_collection();

    String error_no_rivers_found();

    String error_no_such_user();

    String error_not_logged_in();

    String error_load_parameterization();

    String error_feed_no_data();

    String error_feed_from_out_of_range();

    String error_feed_to_out_of_range();

    String error_feed_from_bigger_to();

    String error_feed_invalid_wq_mode();

    String error_feed_number_format_float();

    String error_feed_invalid_calculation_mode();

    String error_feed_no_calculation_mode();

    String error_feed_no_such_river();

    String error_feed_no_river_selected();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
